Get wallet details

GET
/wallets/{id}

Fetch particular wallet details, including status, balance and deposit details.

Authorization

Bearer
headerAuthorizationBearer <JWT>

OAuth access token.

Path Parameters

id*string

Identifier of the wallet.

Formatuuid

Header Parameters

X-Volt-Api-Version*1

Version of the API used. Currently, version 1 is the only version.

Value in1

Response Body

OK - Successful request, returning given wallet's details.

application/json
  1. response
id*string

Identifier of the wallet.

Formatuuid
name*string

Wallet label, either supplied at creation or generated ("<currency> wallet", e.g. "USDC wallet").

type*"FIAT"

Wallet type.

Value in"FIAT"
status*WalletStatusEnum

Wallet status.

Value in"ACTIVE""INACTIVE""TERMINATED"
currency*string

Currency of the wallet: an ISO 4217 code for FIAT or a token symbol for CRYPTO.

Value in"EUR""GBP""USD""USDC""EURC""USDT"
balance*|

Current balance as an exact decimal string in major units: 2 decimal places for FIAT wallets, up to 6 for CRYPTO wallets. This field is null when the balance is temporarily unavailable.

beneficiary*|

Information about the target account (beneficiary) for bank transfers into this wallet. This field is null until the details exist, for example while the wallet is INACTIVE and its bank details are still being provisioned.

isTargetWallet*boolean

Whether this is the target wallet, which incoming stablecoin payments are credited to by default. Only one wallet per customer is the target wallet at a time.

createdAt*string

Date of wallet creation.

Formatdate-time
updatedAt*|

Date of wallet's last update.

Formatdate-time
Example Request
curl -X GET 'https://stablecoins.sandbox.volt.io/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'X-Volt-Api-Version: 1'
Example Response
{  "id": "6a4f0c9e-2d1b-4c8a-9f3e-b7d2a1c4e5f6",  "name": "EUR settlement",  "type": "FIAT",  "status": "ACTIVE",  "currency": "EUR",  "balance": "48250.75",  "beneficiary": {    "name": "Acme Ltd",    "accountIdentifiers": {      "iban": "GB29NWBK60161331926819",      "swiftBic": "BARCGB22"    },    "bank": {      "name": "Barclays Bank UK PLC"    }  },  "isTargetWallet": true,  "createdAt": "2026-06-09T14:05:12+00:00",  "updatedAt": "2026-08-01T09:00:00+00:00"}